Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.clearspace
Class SSLProtocolSocketFactory

    java.lang.Object
      org.jivesoftware.openfire.clearspace.SSLProtocolSocketFactory

All Implemented Interfaces:
  org.apache.commons.httpclient.protocol.ProtocolSocketFactory, org.apache.commons.httpclient.protocol.SecureProtocolSocketFactory

    public class SSLProtocolSocketFactory

extends Object
implements org.apache.commons.httpclient.protocol.SecureProtocolSocketFactory

Implementation of SecureProtocolSocketFactory that will use a custom trust manager for certification validation.

Author:
  Gaston Dombiak

Constructor Summary
`SSLProtocolSocketFactory(ClearspaceManager manager)` Constructor for EasySSLProtocolSocketFactory.

Method Summary
`Socket` | `createSocket(Socket socket, String host, int port, boolean autoClose)`
`Socket` | `createSocket(String host, int port)`
`Socket` | `createSocket(String host, int port, InetAddress clientHost, int clientPort)`
`Socket` | `createSocket(String host, int port, InetAddress localAddress, int localPort, org.apache.commons.httpclient.params.HttpConnectionParams params)` Attempts to get a new socket connection to the given host within the given time limit.
`boolean` | `equals(Object obj)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLProtocolSocketFactory

    public SSLProtocolSocketFactory(ClearspaceManager manager)

  Constructor for EasySSLProtocolSocketFactory.

Method Detail

### createSocket

    public Socket createSocket(String host,
                               int port,
                               InetAddress clientHost,
                               int clientPort)
                        throws IOException,
                               UnknownHostException

  Specified by:
    `createSocket` in interface `org.apache.commons.httpclient.protocol.ProtocolSocketFactory`
  Throws:
    `IOException`
    `UnknownHostException`
  See Also:
    `ProtocolSocketFactory.createSocket(java.lang.String,int,java.net.InetAddress,int)`

### createSocket

    public Socket createSocket(String host,
                               int port,
                               InetAddress localAddress,
                               int localPort,
                               org.apache.commons.httpclient.params.HttpConnectionParams params)
                        throws IOException,
                               UnknownHostException,
                               org.apache.commons.httpclient.ConnectTimeoutException

  Attempts to get a new socket connection to the given host within the given time limit.

  To circumvent the limitations of older JREs that do not support connect timeout a controller thread is executed. The controller thread attempts to create a new socket within the given limit of time. If socket constructor does not return until the timeout expires, the controller terminates and throws an `ConnectTimeoutException`

  Specified by:
    `createSocket` in interface `org.apache.commons.httpclient.protocol.ProtocolSocketFactory`
  Parameters:
    `host` - the host name/IP
    `port` - the port on the host
    `localAddress` - the local host name/IP to bind the socket to
    `localPort` - the port on the local machine
    `params` - `Http connection parameters`
  Returns:
    Socket a new socket
  Throws:
    `IOException` - if an I/O error occurs while creating the socket
    `UnknownHostException` - if the IP address of the host cannot be determined
    `org.apache.commons.httpclient.ConnectTimeoutException`

### createSocket

    public Socket createSocket(String host,
                               int port)
                        throws IOException,
                               UnknownHostException

  Specified by:
    `createSocket` in interface `org.apache.commons.httpclient.protocol.ProtocolSocketFactory`
  Throws:
    `IOException`
    `UnknownHostException`
  See Also:
    `ProtocolSocketFactory.createSocket(java.lang.String,int)`

### createSocket

    public Socket createSocket(Socket socket,
                               String host,
                               int port,
                               boolean autoClose)
                        throws IOException,
                               UnknownHostException

  Specified by:
    `createSocket` in interface `org.apache.commons.httpclient.protocol.SecureProtocolSocketFactory`
  Throws:
    `IOException`
    `UnknownHostException`
  See Also:
    `SecureProtocolSocketFactory.createSocket(java.net.Socket,java.lang.String,int,boolean)`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.